{
  "name": "@extendapps/flexportapi",
  "version": "1.1.5",
  "description": "A distributable module for Flexport connectivity using NetSuite API's",
  "homepage": "https://gitlab.com/extendapps/flexport/api",
  "author": {
    "name": "Darren Hill",
    "email": "darren@extendapps.com",
    "url": "https://gitlab.com/darrenhill"
  },
  "repository": "git@gitlab.com:extendapps/flexport/api.git",
  "license": "MIT",
  "main": "flexportapi.js",
  "types": "flexportapi.d.ts",
  "devDependencies": {
    "@hitc/netsuite-types": "^2022.2.7",
    "@typescript-eslint/eslint-plugin": "5.40.0",
    "@typescript-eslint/parser": "5.40.0",
    "eslint": "8.25.0",
    "eslint-config-prettier": "^8.5.0",
    "eslint-plugin-prefer-arrow": "^1.2.3",
    "eslint-plugin-prettier": "^4.2.1",
    "eslint-plugin-unicorn": "^44.0.2",
    "prettier": "^2.7.1",
    "tsuml2": "^0.6.1",
    "typedoc": "^0.23.16",
    "typedoc-plugin-markdown": "^3.13.6",
    "typescript": "^4.8.4"
  },
  "keywords": [
    "flexport",
    "netsuite",
    "suitescript"
  ],
  "scripts": {
    "updateDependencies": "ncu -u && rm -rf node_modules && npm install",
    "clean": "rm -rf docs && rm -rf FileCabinet",
    "documentation": "typedoc",
    "DS_Store": "find . -name '.DS_Store' -type f -delete || exit 0",
    "lint": "eslint -c .eslintrc.js --ext .ts --fix",
    "deploy-tests": "mkdir -p FileCabinet/SuiteScripts/Flexport/ && cp flexportapi.js FileCabinet/SuiteScripts/Flexport/ && cp FlexportAPI_Tests_SU.js FileCabinet/SuiteScripts/Flexport/",
    "compile-typescript": "tsc",
    "UMLdiagram": "tsuml2 --glob --config tsuml2.json",
    "build": "npm run clean && npm run lint && npm run compile-typescript && npm run DS_Store && npm run documentation && npm run deploy-tests",
    "postversion": "git push && git push --tags && npm publish  --access public",
    "deploy": "suitecloud project:deploy",
    "validate": "suitecloud project:validate --server",
    "buildAndDeploy": "npm run build && npm run deploy",
    "buildValidateDeploy": "npm run build && npm run validate && npm run deploy;"
  },
  "prettier": {
    "singleQuote": true,
    "printWidth": 500,
    "bracketSpacing": false,
    "tabWidth": 4
  },
  "plugins": [
    {
      "name": "typescript-eslint-language-service"
    }
  ]
}
